{******************************************************************************}
{**                                                                          **}
{**  TantTaskbarIcon Component DEMO. Main Form unit.                         **}
{**                                                                          **}
{**  Author:    KARPOLAN                                                     **}
{**  E-Mail:    karpolan@yahoo.com , karpolan@utilmind.com                   **}
{**  Home Page: http://karpolan.i.am, http://www.utilmind.com                **}
{**  Copyright  1996-99 by KARPOLAN.                                        **}
{**                                                                          **}
{******************************************************************************}
{** History:
  04 mar 1999 - 1.5
  31 aug 1999 - 1.6 Some updates...
*******************************************************************************}
Unit antTaskbarIconDemoMain;

{$Include antTaskbar.Inc - contains compiler derectives}

Interface

Uses
{$IfDef Delphi4andHigher}
  ImgList,
{$EndIf Delphi4andHigher}
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, antTaskbarIcon, Menus;


Type
  TfrmMain = Class(TForm)
    bbAdd: TBitBtn;
    bbDel: TBitBtn;
    edIconHint: TEdit;
    Label1: TLabel;
    lb1: TLabel;
    tbiTest: TantTaskbarIcon;
    pmTest: TPopupMenu;
    miExit: TMenuItem;
    miHideIcon: TMenuItem;
    N1: TMenuItem;
    miHideApp: TMenuItem;
    miShowApp: TMenuItem;
    miHideForm: TMenuItem;
    miShowForm: TMenuItem;
    Label2: TLabel;
    miAbout: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    imlstIcons: TImageList;
    tmrDelay: TTimer;
    lbWeb: TLabel;
    Procedure bbAddClick(Sender: TObject);
    Procedure bbDelClick(Sender: TObject);
    Procedure edIconHintChange(Sender: TObject);
    Procedure tbiTestClick(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure miExitClick(Sender: TObject);
    Procedure miHideAppClick(Sender: TObject);
    Procedure miShowAppClick(Sender: TObject);
    Procedure miHideFormClick(Sender: TObject);
    Procedure miShowFormClick(Sender: TObject);
    Procedure miAboutClick(Sender: TObject);
    procedure tbiTestShow(Sender: TObject);
    procedure tbiTestHide(Sender: TObject);
    procedure tmrDelayTimer(Sender: TObject);
    procedure lbWebClick(Sender: TObject);
    procedure lbWebMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lbWebMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  End;{TfrmMain = Class(TForm)}

Var
  frmMain: TfrmMain;

{##############################################################################}
{******************************************************************************}
{##############################################################################}
Implementation
{##############################################################################}
{******************************************************************************}
{##############################################################################}
{$R *.DFM}
Uses
  antTaskbarIconDemoAbout, ShellApi;

Procedure TfrmMain.FormCreate(SEnder: TObject);
Begin
  edIconHintChange(edIconHint);
  tbiTest.Visible := True;
End;

Procedure TfrmMain.bbAddClick(SEnder: TObject);
Begin
  tbiTest.Visible := True;
End;

Procedure TfrmMain.bbDelClick(SEnder: TObject);
Begin
  tbiTest.Visible := False;
  Visible := True;
End;

Procedure TfrmMain.edIconHintChange(SEnder: TObject);
Begin
  tbiTest.Hint := TEdit(Sender).Text;{}
End;

Procedure TfrmMain.tbiTestClick(SEnder: TObject);
Begin
  MessageBeep(0);
  MessageDlg('OnClick Event',
             mtInformation,[mbOk],0);
End;

Procedure TfrmMain.miExitClick(SEnder: TObject);
Begin
  Close;
End;

Procedure TfrmMain.miHideAppClick(SEnder: TObject);
Begin
  miHideApp.Enabled := False;
  miShowApp.Enabled := True;
  ShowWindow(Application.Handle, SW_HIDE);
End;

Procedure TfrmMain.miShowAppClick(SEnder: TObject);
Begin
  miShowApp.Enabled := False;
  miHideApp.Enabled := True;
  ShowWindow(Application.Handle, SW_SHOW);
End;

Procedure TfrmMain.miHideFormClick(SEnder: TObject);
Begin
  miHideForm.Enabled := False;
  miShowForm.Enabled := True;
  Visible := False;
End;

Procedure TfrmMain.miShowFormClick(SEnder: TObject);
Begin
  miShowForm.Enabled := False;
  miHideForm.Enabled := True;
  Visible := True;
End;

Procedure TfrmMain.miAboutClick(SEnder: TObject);
Begin
  ShowAbout;
End;

Procedure TfrmMain.tbiTestShow(Sender: TObject);
Begin
  tmrDelay.Enabled := True;
End;

Procedure TfrmMain.tbiTestHide(Sender: TObject);
Begin
  tmrDelay.Enabled := False;
End;

Procedure TfrmMain.tmrDelayTimer(Sender: TObject);
Begin
  if tbiTest.ImageIndex >= (imlstIcons.Count-1)
   then tbiTest.ImageIndex := 0
   else tbiTest.ImageIndex := tbiTest.ImageIndex + 1;
End;

Procedure TfrmMain.lbWebClick(Sender: TObject);
Var
  St: Array[0..255] of Char;
Begin
  ShellExecute(Application.Handle, 'open', StrPCopy(St,'http://' + lbWeb.Caption),
    nil, nil, SW_SHOW);
End;

Procedure TfrmMain.lbWebMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clRed;

End;

Procedure TfrmMain.lbWebMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clBlue;
End;

End{Unit formMain}.
